icons

API: weather.gov:national-weather-service-api
Endpoint: /icons
Response format: application/ld+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 229ms

Description

Returns a list of icon codes and textual descriptions. Icon services in API are deprecated.

Examples (1)

Get all weather icon codes and descriptions curl
curl 'https://api.weather.gov/icons' \
  -H 'User-Agent: robustapi-example'
import requests

resp = requests.get(
    "https://api.weather.gov/icons",
    headers={
        'User-Agent': 'robustapi-example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("icons")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/icons", {
  headers: {
    "User-Agent": "robustapi-example",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:34:12.827125 200 229ms
2026-04-03 14:04:42.695701 200 244ms
2026-03-30 03:16:18.491951 200 242ms
2026-03-29 13:23:49.534728 200 131ms
2026-03-23 09:32:43.944203 200 174ms